#if !defined(AFX_PACKETLOGVIEW_H__8D479013_771D_11D2_B570_444553540000__INCLUDED_)
#define AFX_PACKETLOGVIEW_H__8D479013_771D_11D2_B570_444553540000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ViewDlg.h : header file
//

#define PLM_ADDTEXT					(WM_USER+550)
#define PLM_UPDATEINTERVALCHANGED	(WM_USER+551)
#define PLM_FONTCHANGED				(WM_USER+552)

#define IDT_PACKETLOG				1000

/////////////////////////////////////////////////////////////////////////////
// CPacketLogView dialog

class CPacketLogView : public CDialog
{
// Construction
public:
	CPacketLogView(class CPacketLogPlugIn* pplpi);   // standard constructor

	CToolBar	m_wndToolBar;
	CFont		m_font;

	HMENU		m_hmenu;

	BOOL		m_bIsDirty;
	class CPacketLogPlugIn* m_pplpi;

	CString m_szPacketLog;

	void AddText(PCSTR pcszText);

	CString m_szFindText;

// Dialog Data
	//{{AFX_DATA(CPacketLogView)
	enum { IDD = IDD_PACKETLOG };
	CRichEditCtrl	m_txt;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPacketLogView)
	public:
	virtual BOOL Create(void);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPacketLogView)
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPacketLogToggle();
	afx_msg void OnPacketLogClear();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	afx_msg void OnPacketLogHelp(void);
	afx_msg LRESULT OnAddText(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnFontChanged(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUpdateIntervalChanged(WPARAM wParam, LPARAM lParam);
	afx_msg BOOL OnToolTipsNeedText(UINT id, NMHDR* pTTTStruct, LRESULT* pResult);
	afx_msg LRESULT OnGetVerbs(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnExecuteVerb(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnFindReplace(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PACKETLOGVIEW_H__8D479013_771D_11D2_B570_444553540000__INCLUDED_)
